# Uses of Class
org.apache.trevni.ColumnMetaData

## Uses of ColumnMetaData in org.apache.trevni

Methods in org.apache.trevni that return ColumnMetaData
Modifier and Type
Method
Description
`ColumnMetaData[]`
ColumnFileReader.`getColumnMetaData()`
Return all columns' metadata.
`ColumnMetaData`
ColumnFileReader.`getColumnMetaData(int number)`
Return a column's metadata.
`ColumnMetaData`
ColumnFileReader.`getColumnMetaData(String name)`
Return a column's metadata.
`ColumnMetaData`
ColumnMetaData.`getParent()`
Return this column's parent or null.
`ColumnMetaData`
ColumnMetaData.`hasIndexValues(boolean values)`
Set whether this column has an index of blocks by value.
`ColumnMetaData`
ColumnMetaData.`isArray(boolean isArray)`
Set whether this column is an array.
`ColumnMetaData`
ColumnMetaData.`setParent(ColumnMetaData parent)`
Set this column's parent.
Methods in org.apache.trevni that return types with arguments of type ColumnMetaData
Modifier and Type
Method
Description
`List<ColumnMetaData>`
ColumnMetaData.`getChildren()`
Return this column's children or null.
`List<ColumnMetaData>`
ColumnFileReader.`getRoots()`
Return root columns' metadata.
Methods in org.apache.trevni with parameters of type ColumnMetaData
Modifier and Type
Method
Description
`ColumnMetaData`
ColumnMetaData.`setParent(ColumnMetaData parent)`
Set this column's parent.
Constructors in org.apache.trevni with parameters of type ColumnMetaData
Modifier
Constructor
Description
``
`ColumnFileWriter(ColumnFileMetaData fileMeta, ColumnMetaData... columnMeta)`
Construct given metadata for each column in the file.